Bug 52561 - xcdroast stopped working for users
xcdroast stopped working for users
Product: Red Hat Linux
Classification: Retired
Component: xcdroast (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-25 00:03 EDT by greg hosler
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-25 00:03:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description greg hosler 2001-08-25 00:03:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2smp i686; Nav)

Description of problem:
I installed xcdroast, and set it up foruser access.

This was with roswell2.

I used xcdroast (logged in as myself) several times the past week, and
it worked fine.

Today, for no apparent reason, after I start up xcdroast, and give the root
password, I get the following messages on the xterm:

   CRITICAL: Wrapper /usr/lib/xcdroast-0.98/bin/xcdrwrap from
Version           instead of 0.98alpha9
   WARNING: Wrapper /usr/lib/xcdroast-0.98/bin/xcdrwrap
configured              sharedir  instead of /usr/lib/xcdroast-0.98
   CRITICAL: Wrapper /usr/lib/xcdroast-0.98/bin/xcdrwrap
configured                 prefixdir  instead of /usr

I have no idea as to what I changed that is causing xcdroast to make the
above complaints, and stop working in "user" mode. Note that it still works
if I su to root.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.unknown - if you could give me suggestions as to what to check for, I
will be happy to debug this.

Actual Results:  I cannot run xcdroast as myself. I need to "su -" to root
(I note that is I simply "su root", then that incarnation of root will also
have the same problem. This is probably environmental, but I do not know
where to begin to look)

Expected Results:  I expect to be able to run xcdroast as myself (I have
verified that I set xcdroast to give my user account permissions to run it)

Additional info:
Comment 1 greg hosler 2001-08-30 08:36:47 EDT
I am going to close this bug. It is now working. This is very strange. I swear
it stopped working.

There is probably a problem somewhere (libs, kernel, who knows...)

Note You need to log in before you can comment on or make changes to this bug.